Upstream information

CVE-2017-5664 at MITRE

Description

The error page mechanism of the Java Servlet Specification requires that, when an error occurs and an error page is configured for the error that occurred, the original request and response are forwarded to the error page. This means that the request is presented to the error page with the original HTTP method. If the error page is a static file, expected behaviour is to serve content of the file as if processing a GET request, regardless of the actual HTTP method. The Default Servlet in Apache Tomcat 9.0.0.M1 to 9.0.0.M20, 8.5.0 to 8.5.14, 8.0.0.RC1 to 8.0.43 and 7.0.0 to 7.0.77 did not do this. Depending on the original request this could lead to unexpected and undesirable results for static error pages including, if the DefaultServlet is configured to permit writes, the replacement or removal of the custom error page. Notes for other user provided error pages: (1) Unless explicitly coded otherwise, JSPs ignore the HTTP method. JSPs used as error pages must must ensure that they handle any error dispatch as a GET request, regardless of the actual method. (2) By default, the response generated by a Servlet does depend on the HTTP method. Custom Servlets used as error pages must ensure that they handle any error dispatch as a GET request, regardless of the actual method.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network Network
Access Complexity Low Low
Authentication None None
Confidentiality Impact None None
Integrity Impact Partial Partial
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact High High
Availability Impact None None
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1042910 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 12 SP5
  • tomcat >= 9.0.21-3.13.2
  • tomcat-admin-webapps >= 9.0.21-3.13.2
  • tomcat-docs-webapp >= 9.0.21-3.13.2
  • tomcat-el-3_0-api >= 9.0.21-3.13.2
  • tomcat-javadoc >= 9.0.21-3.13.2
  • tomcat-jsp-2_3-api >= 9.0.21-3.13.2
  • tomcat-lib >= 9.0.21-3.13.2
  • tomcat-servlet-4_0-api >= 9.0.21-3.13.2
  • tomcat-webapps >= 9.0.21-3.13.2
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA tomcat-9.0.21-3.13.2
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • tomcat6 >= 6.0.53-0.57.7.1
  • tomcat6-admin-webapps >= 6.0.53-0.57.7.1
  • tomcat6-docs-webapp >= 6.0.53-0.57.7.1
  • tomcat6-javadoc >= 6.0.53-0.57.7.1
  • tomcat6-jsp-2_1-api >= 6.0.53-0.57.7.1
  • tomcat6-lib >= 6.0.53-0.57.7.1
  • tomcat6-servlet-2_5-api >= 6.0.53-0.57.7.1
  • tomcat6-webapps >= 6.0.53-0.57.7.1
Patchnames:
slessp4-tomcat6-13685
SUSE Linux Enterprise Server 12 SP1-LTSS
  • tomcat >= 8.0.43-10.24.1
  • tomcat-admin-webapps >= 8.0.43-10.24.1
  • tomcat-docs-webapp >= 8.0.43-10.24.1
  • tomcat-el-3_0-api >= 8.0.43-10.24.1
  • tomcat-javadoc >= 8.0.43-10.24.1
  • tomcat-jsp-2_3-api >= 8.0.43-10.24.1
  • tomcat-lib >= 8.0.43-10.24.1
  • tomcat-servlet-3_1-api >= 8.0.43-10.24.1
  • tomcat-webapps >= 8.0.43-10.24.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-2038
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • tomcat >= 8.0.43-29.5.1
  • tomcat-admin-webapps >= 8.0.43-29.5.1
  • tomcat-docs-webapp >= 8.0.43-29.5.1
  • tomcat-el-3_0-api >= 8.0.43-29.5.1
  • tomcat-javadoc >= 8.0.43-29.5.1
  • tomcat-jsp-2_3-api >= 8.0.43-29.5.1
  • tomcat-lib >= 8.0.43-29.5.1
  • tomcat-servlet-3_1-api >= 8.0.43-29.5.1
  • tomcat-webapps >= 8.0.43-29.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1874
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • tomcat >= 8.0.43-29.5.1
  • tomcat-admin-webapps >= 8.0.43-29.5.1
  • tomcat-docs-webapp >= 8.0.43-29.5.1
  • tomcat-el-3_0-api >= 8.0.43-29.5.1
  • tomcat-javadoc >= 8.0.43-29.5.1
  • tomcat-jsp-2_3-api >= 8.0.43-29.5.1
  • tomcat-lib >= 8.0.43-29.5.1
  • tomcat-servlet-3_1-api >= 8.0.43-29.5.1
  • tomcat-webapps >= 8.0.43-29.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1874
SUSE Linux Enterprise Server 12 SP4
  • tomcat >= 9.0.12-1.7
  • tomcat-admin-webapps >= 9.0.12-1.7
  • tomcat-docs-webapp >= 9.0.12-1.7
  • tomcat-el-3_0-api >= 9.0.12-1.7
  • tomcat-javadoc >= 9.0.12-1.7
  • tomcat-jsp-2_3-api >= 9.0.12-1.7
  • tomcat-lib >= 9.0.12-1.7
  • tomcat-servlet-4_0-api >= 9.0.12-1.7
  • tomcat-webapps >= 9.0.12-1.7
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA tomcat-9.0.12-1.7
SUSE Linux Enterprise Server 12 SP5
  • tomcat >= 9.0.21-3.13.2
  • tomcat-admin-webapps >= 9.0.21-3.13.2
  • tomcat-docs-webapp >= 9.0.21-3.13.2
  • tomcat-el-3_0-api >= 9.0.21-3.13.2
  • tomcat-javadoc >= 9.0.21-3.13.2
  • tomcat-jsp-2_3-api >= 9.0.21-3.13.2
  • tomcat-lib >= 9.0.21-3.13.2
  • tomcat-servlet-4_0-api >= 9.0.21-3.13.2
  • tomcat-webapps >= 9.0.21-3.13.2
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA tomcat-9.0.21-3.13.2
SUSE Linux Enterprise Server 12-LTSS
  • tomcat >= 7.0.82-7.16.1
  • tomcat-admin-webapps >= 7.0.82-7.16.1
  • tomcat-docs-webapp >= 7.0.82-7.16.1
  • tomcat-el-2_2-api >= 7.0.82-7.16.1
  • tomcat-javadoc >= 7.0.82-7.16.1
  • tomcat-jsp-2_2-api >= 7.0.82-7.16.1
  • tomcat-lib >= 7.0.82-7.16.1
  • tomcat-servlet-3_0-api >= 7.0.82-7.16.1
  • tomcat-webapps >= 7.0.82-7.16.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1889
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • tomcat >= 8.0.43-29.5.1
  • tomcat-admin-webapps >= 8.0.43-29.5.1
  • tomcat-docs-webapp >= 8.0.43-29.5.1
  • tomcat-el-3_0-api >= 8.0.43-29.5.1
  • tomcat-javadoc >= 8.0.43-29.5.1
  • tomcat-jsp-2_3-api >= 8.0.43-29.5.1
  • tomcat-lib >= 8.0.43-29.5.1
  • tomcat-servlet-3_1-api >= 8.0.43-29.5.1
  • tomcat-webapps >= 8.0.43-29.5.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1874
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • tomcat >= 8.0.43-10.24.1
  • tomcat-admin-webapps >= 8.0.43-10.24.1
  • tomcat-docs-webapp >= 8.0.43-10.24.1
  • tomcat-el-3_0-api >= 8.0.43-10.24.1
  • tomcat-javadoc >= 8.0.43-10.24.1
  • tomcat-jsp-2_3-api >= 8.0.43-10.24.1
  • tomcat-lib >= 8.0.43-10.24.1
  • tomcat-servlet-3_1-api >= 8.0.43-10.24.1
  • tomcat-webapps >= 8.0.43-10.24.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-2038
SUSE OpenStack Cloud 6
  • tomcat >= 8.0.43-10.24.1
  • tomcat-admin-webapps >= 8.0.43-10.24.1
  • tomcat-docs-webapp >= 8.0.43-10.24.1
  • tomcat-el-3_0-api >= 8.0.43-10.24.1
  • tomcat-javadoc >= 8.0.43-10.24.1
  • tomcat-jsp-2_3-api >= 8.0.43-10.24.1
  • tomcat-lib >= 8.0.43-10.24.1
  • tomcat-servlet-3_1-api >= 8.0.43-10.24.1
  • tomcat-webapps >= 8.0.43-10.24.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-2038
openSUSE Tumbleweed
  • tomcat >= 9.0.36-8.4
  • tomcat-admin-webapps >= 9.0.36-8.4
  • tomcat-docs-webapp >= 9.0.36-8.4
  • tomcat-el-3_0-api >= 9.0.36-8.4
  • tomcat-embed >= 9.0.36-8.4
  • tomcat-javadoc >= 9.0.36-8.4
  • tomcat-jsp-2_3-api >= 9.0.36-8.4
  • tomcat-jsvc >= 9.0.36-8.4
  • tomcat-lib >= 9.0.36-8.4
  • tomcat-servlet-4_0-api >= 9.0.36-8.4
  • tomcat-webapps >= 9.0.36-8.4
Patchnames:
openSUSE Tumbleweed GA tomcat-9.0.36-8.4


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP5 tomcat Already fixed
SUSE Linux Enterprise Server 12 SP5 tomcat Already fixed
SUSE Linux Enterprise Server 12-LTSS tomcat Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 tomcat Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 tomcat Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 tomcat Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS tomcat Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS tomcat Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS tomcat Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS tomcat Affected
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 tomcat Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL tomcat Affected
SUSE Linux Enterprise Server 12 SP4 tomcat Already fixed
SUSE Linux Enterprise Server 12 SP4-LTSS tomcat Already fixed
SUSE Linux Enterprise Server 15 SP1 tomcat Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS tomcat Already fixed
SUSE Linux Enterprise Server 15-ESPOS tomcat Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 tomcat Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 tomcat Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 tomcat Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 tomcat Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 tomcat Affected
SUSE CaaS Platform 4.0 tomcat Already fixed
SUSE Enterprise Storage 6 tomcat Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 tomcat Already fixed
SUSE Linux Enterprise Point of Service 11 SP3 tomcat6 Released
SUSE Linux Enterprise Server 11 SP3 tomcat6 Affected
SUSE Linux Enterprise Server 11 SP3 LTSS tomcat6 Unsupported
SUSE Linux Enterprise Server 11 SP3-LTSS tomcat6 Affected
SUSE Linux Enterprise Server 11 SP4 tomcat6 Released
SUSE Linux Enterprise Server 11 SP4 LTSS tomcat6 Released
SUSE Linux Enterprise Server 11 SP4-LTSS tomcat6 Released
SUSE Linux Enterprise Server 12 tomcat Affected
SUSE Linux Enterprise Server 12 SP1 tomcat Unsupported
SUSE Linux Enterprise Server 12 SP1-LTSS tomcat Released
SUSE Linux Enterprise Server 12 SP2 tomcat Released
SUSE Linux Enterprise Server 12 SP2-ESPOS tomcat Affected
SUSE Linux Enterprise Server 12 SP2-LTSS tomcat Affected
SUSE Linux Enterprise Server 12 SP3 tomcat Released
SUSE Linux Enterprise Server 12 SP3-BCL tomcat Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS tomcat Affected
SUSE Linux Enterprise Server 12 SP3-LTSS tomcat Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS tomcat Already fixed
SUSE Linux Enterprise Server 15 tomcat Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL tomcat Already fixed
SUSE Linux Enterprise Server 15-LTSS tomcat Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 tomcat Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 tomcat6 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 tomcat Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 tomcat Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 tomcat Released
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 tomcat Released
SUSE Manager Proxy 4.0 tomcat Already fixed
SUSE Manager Retail Branch Server 4.0 tomcat Already fixed
SUSE Manager Server 4.0 tomcat Already fixed
SUSE OpenStack Cloud 6 tomcat Released
SUSE OpenStack Cloud 7 tomcat Affected
SUSE OpenStack Cloud 8 tomcat Affected
SUSE OpenStack Cloud 9 tomcat Already fixed
SUSE OpenStack Cloud Crowbar 8 tomcat Affected
SUSE OpenStack Cloud Crowbar 9 tomcat Already fixed


SUSE Timeline for this CVE

CVE page created: Tue Jun 6 14:45:22 2017
CVE page last modified: Fri Jan 20 13:26:39 2023